Subject: [bug#74979] [PATCH 0/4] scripts: style: Sort more kinds of package

From: Herman Rimm <[email-masked]>
Date: Tue, 24 Dec 2024 11:42:52 +0100

Hello,

On Mon, Dec 23, 2024 at 06:28:39PM +0100, Ludovic Courtès wrote:
> Hi Herman,
> 
> Herman Rimm <[email-masked]> skribis:
> 
> > The warnings added in [PATCH 4/4] are emitted multiple times.  How
> > should I prevent that?  Or should I put them behind a --verbose option?
> 
> Not sure, do you have an example on how to trigger it?

Yeah, for example:

$ guix style -fA gnu/packages/crates-io.scm
guix style: warning: package record missing for rust-version-compare-0.0
guix style: warning: package record missing for rust-version-compare-0.0
guix style: warning: package record missing for rust-version-compare-0.0
guix style: warning: package record missing for rust-version-compare-0.0
guix style: warning: package record missing for rust-version-compare-0.0
guix style: warning: package fields not found for rust-indoc-0.3
guix style: warning: package fields not found for rust-indoc-0.3
guix style: warning: package fields not found for rust-indoc-0.3
guix style: warning: package fields not found for rust-indoc-0.3
guix style: warning: package fields not found for rust-indoc-0.3
guix style: warning: package fields not found for rust-indoc-0.3
guix style: warning: package fields not found for rust-indoc-0.3
guix style: warning: package fields not found for rust-indoc-0.3
guix style: warning: package fields not found for rust-indoc-0.3
guix style: warning: package record missing for rust-version-compare-0.0
guix style: warning: package fields not found for rust-indoc-0.3
guix style: warning: package fields not found for rust-indoc-0.3
guix style: warning: package fields not found for rust-indoc-0.3
guix style: warning: package fields not found for rust-indoc-0.3
guix style: warning: package fields not found for rust-indoc-0.3

Cheers,
Herman